package dev.ksan.etfoglasiserver.dto;

import dev.ksan.etfoglasiserver.model.NotificationMethod;
import dev.ksan.etfoglasiserver.model.Subject;
import dev.ksan.etfoglasiserver.model.User;
import lombok.Getter;
import lombok.Setter;

import java.util.Set;
import java.util.UUID;

public class UserDTO {
  @Setter
  @Getter
  private UUID id;
  @Setter
  @Getter
  private String email;
  @Setter
  @Getter
  private Set<Subject> subjectSet;
  @Getter
  @Setter
  private NotificationMethod notificationType;

  public UserDTO() {}

  public UserDTO(
      UUID id, String email, Set<Subject> subjectSet, NotificationMethod notificationMethod2) {
    this.id = id;
    this.email = email;
    this.subjectSet = subjectSet;
    this.notificationType = notificationMethod2;
  }

    public UserDTO(User user) {
    this.id = user.getId();
    this.email = user.getEmail();
    this.subjectSet = user.getSubjectSet();
    this.notificationType = user.getNotificationMethod();

    }



}
